Plague Inc: Evolved

Informations

Creator Message
Dadu042

Information

This installer has been approved by the team.

Informations

Platforms:
Downloads: 4009
Wine: System

Feedbacks

Description

Epidemic simulation, 2016. Wikipedia.

This script can install from : local file (EXE, ZIP, RAR), CD, Steam.

Known issue: The game does freeze on the loading screen, after showing the intro video. Fix: Wine >= v5.10

Appdb.winehq.org , PCGamingWiki.

Screenshots

MiniatureMiniature

Source code

#!/bin/bash
# Date : (2020-03-13)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : Ubuntu 20.04 64 bits
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: 1.17 'The fake news'.
#
# Middlewares used by this software : Unity, Mono, vcrun2010 and vcrun2015, OpenAL.
#
#
# CHANGELOG
# [Dadu042] (2020-03-13 20:00)
#   Initial script.
# [Dadu042] (2020-06-16 20:00)
#   Wine 5.10 seems to fix the freeze issue after the game is loaded.
#   Arch 32 bits -> 64 bits
#
# KNOWN ISSUES:
#  - Wine x86 4.0.3, 4.21, 5.0, 5.3: The game does freeze on the loading screen, after showing the intro video. Tried: d3dx9. d3dx9_43 + compiler, vcrun2010, vcrun2015.
#    Log: ...
#    0009:fixme:ntdll:EtwEventRegister ({5eec90ab-c022-44b2-a5dd-fd716a222a15}, 0x25c1123, 0x25dc018, 0x25dc030) stub.
#    0009:fixme:ntdll:EtwEventSetInformation (deadbeef, 2, 0x25da7b8, 43) stub
#    0009:fixme:ver:GetCurrentPackageId (0x32ddb4 (nil)): stub
#    002d:fixme:d3d:state_linepattern_w Setting line patterns is not supported in OpenGL core contexts.
#   Issue on differents IGP (Intel HD Graphics 4000, HD 530, Nvidia GTX 950M). Fix: Wine 5.10+
#    
#
#
# KNOWN ISSUES (FIXED):
#  - Wine x86 5.0: X
#  - 

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
       
TITLE="Plague Inc: Evolved"
PREFIX="Plague_Inc_Evolved"
EDITOR="Ndemic Creations"
GAME_URL="https://en.wikipedia.org/wiki/Plague_Inc:_Evolved"
AUTHOR="Dadu042"
STEAM_ID="246620"
GAME_VMS="128"
SHORTCUT_FILENAME="PlagueIncEvolved.exe"
SOFTWARE_CATEGORIES="Game;StrategyGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE=""
      
# Starting the script
POL_SetupWindow_Init
                   
# Starting debugging API
POL_Debug_Init
  
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"

# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"

POL_RequiredVersion "4.3.0" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"

# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
      
# Determine Architecture
POL_System_SetArch "amd64"
# POL_System_SetArch "x86"
  
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate 
       
POL_System_TmpCreate "$PREFIX"
       
Set_OS "win7"
       
#######################################
#  Installing mandatory dependencies  #
#######################################

# POL_Call POL_Install_dotnet472

# POL_Call POL_Install_corefonts
# POL_Call POL_Install_mfc42
# POL_Call POL_Install_directmusic
# POL_Call POL_Install_dsound
# POL_Call POL_Install_quartz
# POL_Call POL_Install_d3dx9_43
# POL_Call POL_Install_d3dcompiler_43
# POL_Call POL_Install_wininet
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_dotnet30sp1
# POL_Call POL_Install_mono5.20
# POL_Call POL_Install_dotnet20
# POL_Call POL_Install_dotnet40
# POL_Call POL_Install_dsound
# POL_Call POL_Install_riched30
# POL_Call POL_Install_physx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
           
           
################
#      GPU     #
################
       
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
        
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
         
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
           
           
#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
        
       
#######################################
#  Main part of this script           #
#######################################
           
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,STEAM,CD"

POL_SetupWindow_message "Warning: do not install DirectX (nor icons)." "$TITLE"
# POL_SetupWindow_message "Warning: do not install Visual C++ 2013 redistribuable\n nor Direct X." "$TITLE"
        
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
                
elif [ "$INSTALL_METHOD" == "CD" ]; then
        POL_SetupWindow_cdrom
                
        # POL_Call POL_Function_NoCDWarning
         
        POL_SetupWindow_check_cdrom "setup.exe"
        POL_Wine start /unix "$CDROM/setup.exe"
               
        POL_Wine_WaitExit "$TITLE"
            
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
               
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
  
        POL_Shortcut "PlagueIncSC.exe" "$TITLE - Scenario Creator" "" "" "$SOFTWARE_CATEGORIES"
        
        
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
       
        # POL_SetupWindow_message "$(eval_gettext '\n\nNote: this script will download the beta v0.5 .')" "$TITLE"
        POL_Download "https://tele500.abandonware-france.org/fichiers/jeux/1997/setup-00715-Dark_Earth-PCWin.exe"
        # Also hosted on: https://archive.org/details/eternalwar_201612
     
        mv setup-00715-Dark_Earth-PCWin.exe GameInstaller.exe
     
        # POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        # POL_System_unrar x "CastlevaniaTheLecardeChronicles.rar" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        # POL_System_unzip "spelunky_1_1.zip" -d "$WINEPREFIX/drive_c/game/"
       
        # Extract without sub-folder.
        # unzip "TWIP30_installer.zip" -j -d "$WINEPREFIX/drive_c/"
       
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        
        # cd  "$WINEPREFIX/drive_c/game/"
        POL_Wine "GameInstaller.exe" # "/SILENT"
        # POL_Wine_WaitBefore "$TITLE"
        rm GameInstaller.exe
       
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
       
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
            
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
     
       
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # APP_ANSWER=".EXE"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.MSI')~$(eval_gettext '.EXE')" "~"
     
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
             
        # Restore screen resolution (game's default is 640x480 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
             
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
       
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
  
        POL_Shortcut "PlagueIncSC.exe" "$TITLE - Scenario Creator" "" "" "$SOFTWARE_CATEGORIES"



elif [ "$APP_ANSWER" == "$(eval_gettext '.MSI')" ]; then
       # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine msiexec /i  "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
             
        # Restore screen resolution (game's default is 640x480 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
             
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
       
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
  
        # POL_Shortcut "Setup.exe" "$TITLE - Setup" "" "" "$SOFTWARE_CATEGORIES"

elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
       
        POL_SetupWindow_message "$(eval_gettext '\n\nWARNING: the file name must not have SPACES in its name !.')" "$TITLE"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/game/"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
       
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"

        POL_Shortcut "PlagueIncSC.exe" "$TITLE - Scenario Creator" "" "" "$SOFTWARE_CATEGORIES"
     
     
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
      
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"

        POL_Shortcut "PlagueIncSC.exe" "$TITLE - Scenario Creator" "" "" "$SOFTWARE_CATEGORIES"

fi
fi
       
       
################
# Patch update #
################
  
# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"      
       
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .EXE file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
        
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
  
# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
        
# Fail ?
# POL_SetupWindow_message "$LNG_FIN" "$TITLE"
       
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribute
Member Message
Dadu042 Tuesday 16 June 2020 at 22:37
Dadu042

Information

This update has been approved by the team.

Message

Now is work on the same computer (IGP: intel HD 4000), but with Wine 5.10 (not the v5.0.1).

Differences

@@ -2,7 +2,7 @@
 # Date : (2020-03-13)
 # Last revision : see the changelog below
 # Wine version used : see the changelog below
-# Distribution used to test : Ubuntu 19.10 64 bits
+# Distribution used to test : Ubuntu 20.04 64 bits
 # Author : Dadu042
 # Licence : Retail
 # Only For : http://www.playonlinux.com
@@ -15,15 +15,18 @@
 # CHANGELOG
 # [Dadu042] (2020-03-13 20:00)
 #   Initial script.
+# [Dadu042] (2020-06-16 20:00)
+#   Wine 5.10 seems to fix the freeze issue after the game is loaded.
+#   Arch 32 bits -> 64 bits
 #
-# KNOWN ISSUES
+# KNOWN ISSUES:
 #  - Wine x86 4.0.3, 4.21, 5.0, 5.3: The game does freeze on the loading screen, after showing the intro video. Tried: d3dx9. d3dx9_43 + compiler, vcrun2010, vcrun2015.
 #    Log: ...
 #    0009:fixme:ntdll:EtwEventRegister ({5eec90ab-c022-44b2-a5dd-fd716a222a15}, 0x25c1123, 0x25dc018, 0x25dc030) stub.
 #    0009:fixme:ntdll:EtwEventSetInformation (deadbeef, 2, 0x25da7b8, 43) stub
 #    0009:fixme:ver:GetCurrentPackageId (0x32ddb4 (nil)): stub
 #    002d:fixme:d3d:state_linepattern_w Setting line patterns is not supported in OpenGL core contexts.
-#   Perhaps because of my IGP (Intel HD Graphics 3000).
+#   Issue on differents IGP (Intel HD Graphics 4000, HD 530, Nvidia GTX 950M). Fix: Wine 5.10+
 #    
 #
 #
@@ -42,7 +45,7 @@
 STEAM_ID="246620"
 GAME_VMS="128"
 SHORTCUT_FILENAME="PlagueIncEvolved.exe"
-SOFTWARE_CATEGORIES="Game;"
+SOFTWARE_CATEGORIES="Game;StrategyGame;"
 # http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
 DOCUMENT_FILE=""
       
@@ -65,8 +68,8 @@
 POL_Wine_SelectPrefix "$PREFIX"
       
 # Determine Architecture
-# POL_System_SetArch "amd64"
-POL_System_SetArch "x86"
+POL_System_SetArch "amd64"
+# POL_System_SetArch "x86"
   
 # Downloading wine if necessary and creating prefix
 POL_Wine_PrefixCreate 

New source code

#!/bin/bash
# Date : (2020-03-13)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : Ubuntu 20.04 64 bits
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: 1.17 'The fake news'.
#
# Middlewares used by this software : Unity, Mono, vcrun2010 and vcrun2015, OpenAL.
#
#
# CHANGELOG
# [Dadu042] (2020-03-13 20:00)
#   Initial script.
# [Dadu042] (2020-06-16 20:00)
#   Wine 5.10 seems to fix the freeze issue after the game is loaded.
#   Arch 32 bits -> 64 bits
#
# KNOWN ISSUES:
#  - Wine x86 4.0.3, 4.21, 5.0, 5.3: The game does freeze on the loading screen, after showing the intro video. Tried: d3dx9. d3dx9_43 + compiler, vcrun2010, vcrun2015.
#    Log: ...
#    0009:fixme:ntdll:EtwEventRegister ({5eec90ab-c022-44b2-a5dd-fd716a222a15}, 0x25c1123, 0x25dc018, 0x25dc030) stub.
#    0009:fixme:ntdll:EtwEventSetInformation (deadbeef, 2, 0x25da7b8, 43) stub
#    0009:fixme:ver:GetCurrentPackageId (0x32ddb4 (nil)): stub
#    002d:fixme:d3d:state_linepattern_w Setting line patterns is not supported in OpenGL core contexts.
#   Issue on differents IGP (Intel HD Graphics 4000, HD 530, Nvidia GTX 950M). Fix: Wine 5.10+
#    
#
#
# KNOWN ISSUES (FIXED):
#  - Wine x86 5.0: X
#  - 

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
       
TITLE="Plague Inc: Evolved"
PREFIX="Plague_Inc_Evolved"
EDITOR="Ndemic Creations"
GAME_URL="https://en.wikipedia.org/wiki/Plague_Inc:_Evolved"
AUTHOR="Dadu042"
STEAM_ID="246620"
GAME_VMS="128"
SHORTCUT_FILENAME="PlagueIncEvolved.exe"
SOFTWARE_CATEGORIES="Game;StrategyGame;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE=""
      
# Starting the script
POL_SetupWindow_Init
                   
# Starting debugging API
POL_Debug_Init
  
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"

# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"

POL_RequiredVersion "4.3.0" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"

# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
      
# Determine Architecture
POL_System_SetArch "amd64"
# POL_System_SetArch "x86"
  
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate 
       
POL_System_TmpCreate "$PREFIX"
       
Set_OS "win7"
       
#######################################
#  Installing mandatory dependencies  #
#######################################

# POL_Call POL_Install_dotnet472

# POL_Call POL_Install_corefonts
# POL_Call POL_Install_mfc42
# POL_Call POL_Install_directmusic
# POL_Call POL_Install_dsound
# POL_Call POL_Install_quartz
# POL_Call POL_Install_d3dx9_43
# POL_Call POL_Install_d3dcompiler_43
# POL_Call POL_Install_wininet
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_dotnet30sp1
# POL_Call POL_Install_mono5.20
# POL_Call POL_Install_dotnet20
# POL_Call POL_Install_dotnet40
# POL_Call POL_Install_dsound
# POL_Call POL_Install_riched30
# POL_Call POL_Install_physx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
           
           
################
#      GPU     #
################
       
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
        
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
         
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
           
           
#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
        
       
#######################################
#  Main part of this script           #
#######################################
           
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,STEAM,CD"

POL_SetupWindow_message "Warning: do not install DirectX (nor icons)." "$TITLE"
# POL_SetupWindow_message "Warning: do not install Visual C++ 2013 redistribuable\n nor Direct X." "$TITLE"
        
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
                
elif [ "$INSTALL_METHOD" == "CD" ]; then
        POL_SetupWindow_cdrom
                
        # POL_Call POL_Function_NoCDWarning
         
        POL_SetupWindow_check_cdrom "setup.exe"
        POL_Wine start /unix "$CDROM/setup.exe"
               
        POL_Wine_WaitExit "$TITLE"
            
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
               
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
  
        POL_Shortcut "PlagueIncSC.exe" "$TITLE - Scenario Creator" "" "" "$SOFTWARE_CATEGORIES"
        
        
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
       
        # POL_SetupWindow_message "$(eval_gettext '\n\nNote: this script will download the beta v0.5 .')" "$TITLE"
        POL_Download "https://tele500.abandonware-france.org/fichiers/jeux/1997/setup-00715-Dark_Earth-PCWin.exe"
        # Also hosted on: https://archive.org/details/eternalwar_201612
     
        mv setup-00715-Dark_Earth-PCWin.exe GameInstaller.exe
     
        # POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        # POL_System_unrar x "CastlevaniaTheLecardeChronicles.rar" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        # POL_System_unzip "spelunky_1_1.zip" -d "$WINEPREFIX/drive_c/game/"
       
        # Extract without sub-folder.
        # unzip "TWIP30_installer.zip" -j -d "$WINEPREFIX/drive_c/"
       
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        
        # cd  "$WINEPREFIX/drive_c/game/"
        POL_Wine "GameInstaller.exe" # "/SILENT"
        # POL_Wine_WaitBefore "$TITLE"
        rm GameInstaller.exe
       
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
       
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
            
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
     
       
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # APP_ANSWER=".EXE"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.MSI')~$(eval_gettext '.EXE')" "~"
     
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
             
        # Restore screen resolution (game's default is 640x480 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
             
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
       
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
  
        POL_Shortcut "PlagueIncSC.exe" "$TITLE - Scenario Creator" "" "" "$SOFTWARE_CATEGORIES"



elif [ "$APP_ANSWER" == "$(eval_gettext '.MSI')" ]; then
       # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine msiexec /i  "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
             
        # Restore screen resolution (game's default is 640x480 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
             
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
       
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
  
        # POL_Shortcut "Setup.exe" "$TITLE - Setup" "" "" "$SOFTWARE_CATEGORIES"

elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
       
        POL_SetupWindow_message "$(eval_gettext '\n\nWARNING: the file name must not have SPACES in its name !.')" "$TITLE"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/game/"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
       
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"

        POL_Shortcut "PlagueIncSC.exe" "$TITLE - Scenario Creator" "" "" "$SOFTWARE_CATEGORIES"
     
     
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
      
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"

        POL_Shortcut "PlagueIncSC.exe" "$TITLE - Scenario Creator" "" "" "$SOFTWARE_CATEGORIES"

fi
fi
       
       
################
# Patch update #
################
  
# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"      
       
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .EXE file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
        
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
  
# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
        
# Fail ?
# POL_SetupWindow_message "$LNG_FIN" "$TITLE"
       
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0

Replies

Dadu042 Friday 13 March 2020 at 22:03
Dadu042

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

I post this script (failing on my laptop, IGP Intel Graphics HD 4000) in order to try it on other laptops with different GPUs.

Differences

@@ -0,0 +1,302 @@
+#!/bin/bash
+# Date : (2020-03-13)
+# Last revision : see the changelog below
+# Wine version used : see the changelog below
+# Distribution used to test : Ubuntu 19.10 64 bits
+# Author : Dadu042
+# Licence : Retail
+# Only For : http://www.playonlinux.com
+#
+# TESTED Editions: 1.17 'The fake news'.
+#
+# Middlewares used by this software : Unity, Mono, vcrun2010 and vcrun2015, OpenAL.
+#
+#
+# CHANGELOG
+# [Dadu042] (2020-03-13 20:00)
+#   Initial script.
+#
+# KNOWN ISSUES
+#  - Wine x86 4.0.3, 4.21, 5.0, 5.3: The game does freeze on the loading screen, after showing the intro video. Tried: d3dx9. d3dx9_43 + compiler, vcrun2010, vcrun2015.
+#    Log: ...
+#    0009:fixme:ntdll:EtwEventRegister ({5eec90ab-c022-44b2-a5dd-fd716a222a15}, 0x25c1123, 0x25dc018, 0x25dc030) stub.
+#    0009:fixme:ntdll:EtwEventSetInformation (deadbeef, 2, 0x25da7b8, 43) stub
+#    0009:fixme:ver:GetCurrentPackageId (0x32ddb4 (nil)): stub
+#    002d:fixme:d3d:state_linepattern_w Setting line patterns is not supported in OpenGL core contexts.
+#   Perhaps because of my IGP (Intel HD Graphics 3000).
+#    
+#
+#
+# KNOWN ISSUES (FIXED):
+#  - Wine x86 5.0: X
+#  - 
+
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+       
+TITLE="Plague Inc: Evolved"
+PREFIX="Plague_Inc_Evolved"
+EDITOR="Ndemic Creations"
+GAME_URL="https://en.wikipedia.org/wiki/Plague_Inc:_Evolved"
+AUTHOR="Dadu042"
+STEAM_ID="246620"
+GAME_VMS="128"
+SHORTCUT_FILENAME="PlagueIncEvolved.exe"
+SOFTWARE_CATEGORIES="Game;"
+# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
+DOCUMENT_FILE=""
+      
+# Starting the script
+POL_SetupWindow_Init
+                   
+# Starting debugging API
+POL_Debug_Init
+  
+# Open dialogue box 
+POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"
+
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"
+
+# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"
+
+POL_RequiredVersion "4.3.0" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"
+
+# Setting prefix path
+POL_Wine_SelectPrefix "$PREFIX"
+      
+# Determine Architecture
+# POL_System_SetArch "amd64"
+POL_System_SetArch "x86"
+  
+# Downloading wine if necessary and creating prefix
+POL_Wine_PrefixCreate 
+       
+POL_System_TmpCreate "$PREFIX"
+       
+Set_OS "win7"
+       
+#######################################
+#  Installing mandatory dependencies  #
+#######################################
+
+# POL_Call POL_Install_dotnet472
+
+# POL_Call POL_Install_corefonts
+# POL_Call POL_Install_mfc42
+# POL_Call POL_Install_directmusic
+# POL_Call POL_Install_dsound
+# POL_Call POL_Install_quartz
+# POL_Call POL_Install_d3dx9_43
+# POL_Call POL_Install_d3dcompiler_43
+# POL_Call POL_Install_wininet
+# POL_Call POL_Install_corefonts
+# POL_Call POL_Install_dotnet30sp1
+# POL_Call POL_Install_mono5.20
+# POL_Call POL_Install_dotnet20
+# POL_Call POL_Install_dotnet40
+# POL_Call POL_Install_dsound
+# POL_Call POL_Install_riched30
+# POL_Call POL_Install_physx
+# POL_Call POL_Install_corefonts
+# POL_Call POL_Install_d3dx11
+# POL_Call POL_Install_mono210
+           
+           
+################
+#      GPU     #
+################
+       
+# Asking about memory size of graphic card
+# POL_SetupWindow_VMS $GAME_VMS
+        
+# Set Graphic Card information keys for wine
+# POL_Wine_SetVideoDriver
+         
+# Useful for Nvidia GPUs
+# POL_Call POL_Install_physx
+           
+           
+#############################################
+#  Sound problem fix - pulseaudio related   #
+#############################################
+# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
+# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
+## End Fix
+        
+       
+#######################################
+#  Main part of this script           #
+#######################################
+           
+# Choose between Steam and other Digital Download versions
+# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
+POL_SetupWindow_InstallMethod "LOCAL,STEAM,CD"
+
+POL_SetupWindow_message "Warning: do not install DirectX (nor icons)." "$TITLE"
+# POL_SetupWindow_message "Warning: do not install Visual C++ 2013 redistribuable\n nor Direct X." "$TITLE"
+        
+# Begin game installation
+if [ "$INSTALL_METHOD" == "STEAM" ]; then
+        POL_Call POL_Install_steam
+        # Mandatory pre-install fix for steam
+        POL_Call POL_Install_steam_flags "$STEAM_ID"
+        # Shortcut done before install for steam version
+        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
+        # Steam install
+        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
+        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
+        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
+        POL_Wine_WaitExit "$TITLE"
+                
+elif [ "$INSTALL_METHOD" == "CD" ]; then
+        POL_SetupWindow_cdrom
+                
+        # POL_Call POL_Function_NoCDWarning
+         
+        POL_SetupWindow_check_cdrom "setup.exe"
+        POL_Wine start /unix "$CDROM/setup.exe"
+               
+        POL_Wine_WaitExit "$TITLE"
+            
+        # Restore screen resolution (game's default is 800x600 ?)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+               
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_QuietDebug "$TITLE"
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+  
+        POL_Shortcut "PlagueIncSC.exe" "$TITLE - Scenario Creator" "" "" "$SOFTWARE_CATEGORIES"
+        
+        
+elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
+        cd "$WINEPREFIX/drive_c"
+       
+        # POL_SetupWindow_message "$(eval_gettext '\n\nNote: this script will download the beta v0.5 .')" "$TITLE"
+        POL_Download "https://tele500.abandonware-france.org/fichiers/jeux/1997/setup-00715-Dark_Earth-PCWin.exe"
+	# Also hosted on: https://archive.org/details/eternalwar_201612
+     
+        mv setup-00715-Dark_Earth-PCWin.exe GameInstaller.exe
+     
+        # POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        # POL_System_unrar x "CastlevaniaTheLecardeChronicles.rar" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
+        # POL_System_unzip "spelunky_1_1.zip" -d "$WINEPREFIX/drive_c/game/"
+       
+        # Extract without sub-folder.
+        # unzip "TWIP30_installer.zip" -j -d "$WINEPREFIX/drive_c/"
+       
+        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
+        
+        # cd  "$WINEPREFIX/drive_c/game/"
+        POL_Wine "GameInstaller.exe" # "/SILENT"
+        # POL_Wine_WaitBefore "$TITLE"
+        rm GameInstaller.exe
+       
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_QuietDebug "$TITLE"
+       
+        # Restore screen resolution (game's default is 1024x768)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+            
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+     
+       
+elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
+        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
+        # APP_ANSWER=".EXE"
+        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.MSI')~$(eval_gettext '.EXE')" "~"
+     
+if [ "$APP_ANSWER" == ".EXE" ]; then
+        # Asking then installing local files of the game
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        POL_Wine start /unix "$SETUP_EXE"
+        POL_Wine_WaitExit "$TITLE"
+             
+        # Restore screen resolution (game's default is 640x480 ?)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+             
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_QuietDebug "$TITLE"
+       
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+  
+        POL_Shortcut "PlagueIncSC.exe" "$TITLE - Scenario Creator" "" "" "$SOFTWARE_CATEGORIES"
+
+
+
+elif [ "$APP_ANSWER" == "$(eval_gettext '.MSI')" ]; then
+       # Asking then installing local files of the game
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        POL_Wine msiexec /i  "$SETUP_EXE"
+        POL_Wine_WaitExit "$TITLE"
+             
+        # Restore screen resolution (game's default is 640x480 ?)
+        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
+             
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+        POL_Shortcut_QuietDebug "$TITLE"
+       
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+  
+        # POL_Shortcut "Setup.exe" "$TITLE - Setup" "" "" "$SOFTWARE_CATEGORIES"
+
+elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
+        cd "$HOME"
+       
+        POL_SetupWindow_message "$(eval_gettext '\n\nWARNING: the file name must not have SPACES in its name !.')" "$TITLE"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/game/"
+     
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+       
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+
+        POL_Shortcut "PlagueIncSC.exe" "$TITLE - Scenario Creator" "" "" "$SOFTWARE_CATEGORIES"
+     
+     
+elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
+        cd "$HOME"
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
+        SETUP_EXE="$APP_ANSWER"
+        cd "$POL_System_TmpDir"
+        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
+        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
+        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
+      
+        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
+
+        POL_Shortcut "PlagueIncSC.exe" "$TITLE - Scenario Creator" "" "" "$SOFTWARE_CATEGORIES"
+
+fi
+fi
+       
+       
+################
+# Patch update #
+################
+  
+# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"      
+       
+if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
+        POL_SetupWindow_browse "$(eval_gettext 'Please select the .EXE file to run')" "$TITLE"
+        PATCH_EXE="$APP_ANSWER"
+        POL_Wine start /unix "$PATCH_EXE"
+        POL_Wine_WaitExit "$PATCH_EXE"
+fi
+        
+# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
+  
+# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
+        
+# Fail ?
+# POL_SetupWindow_message "$LNG_FIN" "$TITLE"
+       
+POL_System_TmpDelete
+POL_SetupWindow_Close
+exit 0
\ No newline at end of file

New source code

#!/bin/bash
# Date : (2020-03-13)
# Last revision : see the changelog below
# Wine version used : see the changelog below
# Distribution used to test : Ubuntu 19.10 64 bits
# Author : Dadu042
# Licence : Retail
# Only For : http://www.playonlinux.com
#
# TESTED Editions: 1.17 'The fake news'.
#
# Middlewares used by this software : Unity, Mono, vcrun2010 and vcrun2015, OpenAL.
#
#
# CHANGELOG
# [Dadu042] (2020-03-13 20:00)
#   Initial script.
#
# KNOWN ISSUES
#  - Wine x86 4.0.3, 4.21, 5.0, 5.3: The game does freeze on the loading screen, after showing the intro video. Tried: d3dx9. d3dx9_43 + compiler, vcrun2010, vcrun2015.
#    Log: ...
#    0009:fixme:ntdll:EtwEventRegister ({5eec90ab-c022-44b2-a5dd-fd716a222a15}, 0x25c1123, 0x25dc018, 0x25dc030) stub.
#    0009:fixme:ntdll:EtwEventSetInformation (deadbeef, 2, 0x25da7b8, 43) stub
#    0009:fixme:ver:GetCurrentPackageId (0x32ddb4 (nil)): stub
#    002d:fixme:d3d:state_linepattern_w Setting line patterns is not supported in OpenGL core contexts.
#   Perhaps because of my IGP (Intel HD Graphics 3000).
#    
#
#
# KNOWN ISSUES (FIXED):
#  - Wine x86 5.0: X
#  - 

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"
       
TITLE="Plague Inc: Evolved"
PREFIX="Plague_Inc_Evolved"
EDITOR="Ndemic Creations"
GAME_URL="https://en.wikipedia.org/wiki/Plague_Inc:_Evolved"
AUTHOR="Dadu042"
STEAM_ID="246620"
GAME_VMS="128"
SHORTCUT_FILENAME="PlagueIncEvolved.exe"
SOFTWARE_CATEGORIES="Game;"
# http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_9:_Standardization#Advanced_Standardization
DOCUMENT_FILE=""
      
# Starting the script
POL_SetupWindow_Init
                   
# Starting debugging API
POL_Debug_Init
  
# Open dialogue box 
POL_SetupWindow_presentation "$TITLE" "$EDITOR" "$GAME_URL" "$AUTHOR" "$PREFIX"

# POL_SetupWindow_message "$(eval_gettext 'WARNING: this software does exist in Linux native version.\n\nThis script only allow to run the Windows version on Linux, please prefer the Linux edition for better 3D speed.')" "$TITLE"

# POL_SetupWindow_message "$(eval_gettext 'This game requires a fast 3D GPU (ie: Intel HD Graphics 4440 is not enough).')" "$TITLE"

POL_RequiredVersion "4.3.0" || POL_Debug_Fatal "$APPLICATION_TITLE $VERSION is required to install $TITLE"

# Setting prefix path
POL_Wine_SelectPrefix "$PREFIX"
      
# Determine Architecture
# POL_System_SetArch "amd64"
POL_System_SetArch "x86"
  
# Downloading wine if necessary and creating prefix
POL_Wine_PrefixCreate 
       
POL_System_TmpCreate "$PREFIX"
       
Set_OS "win7"
       
#######################################
#  Installing mandatory dependencies  #
#######################################

# POL_Call POL_Install_dotnet472

# POL_Call POL_Install_corefonts
# POL_Call POL_Install_mfc42
# POL_Call POL_Install_directmusic
# POL_Call POL_Install_dsound
# POL_Call POL_Install_quartz
# POL_Call POL_Install_d3dx9_43
# POL_Call POL_Install_d3dcompiler_43
# POL_Call POL_Install_wininet
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_dotnet30sp1
# POL_Call POL_Install_mono5.20
# POL_Call POL_Install_dotnet20
# POL_Call POL_Install_dotnet40
# POL_Call POL_Install_dsound
# POL_Call POL_Install_riched30
# POL_Call POL_Install_physx
# POL_Call POL_Install_corefonts
# POL_Call POL_Install_d3dx11
# POL_Call POL_Install_mono210
           
           
################
#      GPU     #
################
       
# Asking about memory size of graphic card
# POL_SetupWindow_VMS $GAME_VMS
        
# Set Graphic Card information keys for wine
# POL_Wine_SetVideoDriver
         
# Useful for Nvidia GPUs
# POL_Call POL_Install_physx
           
           
#############################################
#  Sound problem fix - pulseaudio related   #
#############################################
# [ "$POL_OS" = "Linux" ] && Set_SoundDriver "alsa"
# [ "$POL_OS" = "Linux" ] && Set_SoundEmulDriver "Y"
## End Fix
        
       
#######################################
#  Main part of this script           #
#######################################
           
# Choose between Steam and other Digital Download versions
# POL_SetupWindow_InstallMethod "STEAM,DVD,LOCAL,DOWNLOAD"
POL_SetupWindow_InstallMethod "LOCAL,STEAM,CD"

POL_SetupWindow_message "Warning: do not install DirectX (nor icons)." "$TITLE"
# POL_SetupWindow_message "Warning: do not install Visual C++ 2013 redistribuable\n nor Direct X." "$TITLE"
        
# Begin game installation
if [ "$INSTALL_METHOD" == "STEAM" ]; then
        POL_Call POL_Install_steam
        # Mandatory pre-install fix for steam
        POL_Call POL_Install_steam_flags "$STEAM_ID"
        # Shortcut done before install for steam version
        POL_Shortcut "steam.exe" "$TITLE" "" "steam://rungameid/$STEAM_ID"
        # Steam install
        POL_SetupWindow_message "$(eval_gettext 'When $TITLE download by Steam is finished,\nDo NOT click on Play.\n\nClose COMPLETELY the Steam interface, \nso that the installation script can continue')" "$TITLE"
        cd "$WINEPREFIX/drive_c/$PROGRAMFILES/Steam"
        POL_Wine start /unix "steam.exe" steam://install/$STEAM_ID
        POL_Wine_WaitExit "$TITLE"
                
elif [ "$INSTALL_METHOD" == "CD" ]; then
        POL_SetupWindow_cdrom
                
        # POL_Call POL_Function_NoCDWarning
         
        POL_SetupWindow_check_cdrom "setup.exe"
        POL_Wine start /unix "$CDROM/setup.exe"
               
        POL_Wine_WaitExit "$TITLE"
            
        # Restore screen resolution (game's default is 800x600 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
               
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
  
        POL_Shortcut "PlagueIncSC.exe" "$TITLE - Scenario Creator" "" "" "$SOFTWARE_CATEGORIES"
        
        
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
        cd "$WINEPREFIX/drive_c"
       
        # POL_SetupWindow_message "$(eval_gettext '\n\nNote: this script will download the beta v0.5 .')" "$TITLE"
        POL_Download "https://tele500.abandonware-france.org/fichiers/jeux/1997/setup-00715-Dark_Earth-PCWin.exe"
        # Also hosted on: https://archive.org/details/eternalwar_201612
     
        mv setup-00715-Dark_Earth-PCWin.exe GameInstaller.exe
     
        # POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        # POL_System_unrar x "CastlevaniaTheLecardeChronicles.rar" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        # POL_System_unzip "spelunky_1_1.zip" -d "$WINEPREFIX/drive_c/game/"
       
        # Extract without sub-folder.
        # unzip "TWIP30_installer.zip" -j -d "$WINEPREFIX/drive_c/"
       
        # POL_SetupWindow_message "$(eval_gettext 'Note: we recommend you to uncheck all the checkboxes:\n[x] -> [ ]')" "$TITLE"
        
        # cd  "$WINEPREFIX/drive_c/game/"
        POL_Wine "GameInstaller.exe" # "/SILENT"
        # POL_Wine_WaitBefore "$TITLE"
        rm GameInstaller.exe
       
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
       
        # Restore screen resolution (game's default is 1024x768)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
            
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
     
       
elif [ "$INSTALL_METHOD" == "LOCAL" ]; then
        POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.EXE')~$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.ZIP')~$(eval_gettext '.RAR')" "~"
        # APP_ANSWER=".EXE"
        # POL_SetupWindow_menu "$(eval_gettext 'What is the type of the file?.')" "$TITLE" "$(eval_gettext '.MSI')~$(eval_gettext '.EXE')" "~"
     
if [ "$APP_ANSWER" == ".EXE" ]; then
        # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine start /unix "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
             
        # Restore screen resolution (game's default is 640x480 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
             
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
       
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
  
        POL_Shortcut "PlagueIncSC.exe" "$TITLE - Scenario Creator" "" "" "$SOFTWARE_CATEGORIES"



elif [ "$APP_ANSWER" == "$(eval_gettext '.MSI')" ]; then
       # Asking then installing local files of the game
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        POL_Wine msiexec /i  "$SETUP_EXE"
        POL_Wine_WaitExit "$TITLE"
             
        # Restore screen resolution (game's default is 640x480 ?)
        # POL_Shortcut_InsertBeforeWine "$SHORTCUT" "trap 'xrandr -s 0' EXIT"
             
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
        POL_Shortcut_QuietDebug "$TITLE"
       
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"
  
        # POL_Shortcut "Setup.exe" "$TITLE - Setup" "" "" "$SOFTWARE_CATEGORIES"

elif [ "$APP_ANSWER" == "$(eval_gettext '.ZIP')" ]; then
        cd "$HOME"
       
        POL_SetupWindow_message "$(eval_gettext '\n\nWARNING: the file name must not have SPACES in its name !.')" "$TITLE"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .ZIP file')" "$TITLE"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unzip "$APP_ANSWER" -d "$WINEPREFIX/drive_c/game/"
     
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
       
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"

        POL_Shortcut "PlagueIncSC.exe" "$TITLE - Scenario Creator" "" "" "$SOFTWARE_CATEGORIES"
     
     
elif [ "$APP_ANSWER" == "$(eval_gettext '.RAR')" ]; then
        cd "$HOME"
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .RAR file')" "$TITLE"
        SETUP_EXE="$APP_ANSWER"
        cd "$POL_System_TmpDir"
        POL_SetupWindow_wait_next_signal "$(eval_gettext 'Extracting the archive...')" "$TITLE"
        POL_System_unrar x "$APP_ANSWER" "$WINEPREFIX/drive_c/game/" || POL_Debug_Fatal "unrar is required to unarchive $TITLE (unrar package is not installed on the OS)."
        POL_Shortcut "$SHORTCUT_FILENAME" "$TITLE" "" "" "$SOFTWARE_CATEGORIES"
      
        POL_Shortcut_Document "$TITLE" "$DOCUMENT_FILE"

        POL_Shortcut "PlagueIncSC.exe" "$TITLE - Scenario Creator" "" "" "$SOFTWARE_CATEGORIES"

fi
fi
       
       
################
# Patch update #
################
  
# POL_SetupWindow_menu "$(eval_gettext 'Do you want to install a official patch-update ?')" "$TITLE" "$(eval_gettext 'Yes')~$(eval_gettext 'No')" "~"      
       
if [ "$APP_ANSWER" == "$(eval_gettext 'Yes')" ]; then
        POL_SetupWindow_browse "$(eval_gettext 'Please select the .EXE file to run')" "$TITLE"
        PATCH_EXE="$APP_ANSWER"
        POL_Wine start /unix "$PATCH_EXE"
        POL_Wine_WaitExit "$PATCH_EXE"
fi
        
# POL_SetupWindow_message "$(eval_gettext '\nInstallation is finished ! :)')" "$TITLE"
  
# POL_SetupWindow_message "$(eval_gettext 'WARNING: to avoid to have huge log file, you should type \ninto Debug flags : fixme-all')" "$TITLE"
        
# Fail ?
# POL_SetupWindow_message "$LNG_FIN" "$TITLE"
       
POL_System_TmpDelete
POL_SetupWindow_Close
exit 0

Replies

Friday 13 March 2020 at 23:49
Same issue on a other laptop (Kubuntu 18.04. IGP Intel HD Graphics 620, Nvidia GTX 950M). Wine 5.0

Edited by Dadu042